Kicksecure Wiki Download Docs News Support Tips Issues Contribute DONATE

Add/Remove Extra Packages

This post for:

  • Removing Unnecessary packages (specially if they are not default in upstream and/or has issues like stopped development, less secure or producing too many issues).
  • Adding necessary packages for better security or usability (as long as they are not harmful).

Removing packages:

  • Remove wget since its not upstream default and less secure than curl (kicksecure support scurl), OR replace it with the successor wget2.

Can been seen added as extra package for debian stable:

Nothing depend on it from debian packages:

Adding packages:

  • VLC media player.
  • Thunderbird.

Done.

Done.

Not sure. Encrypted Email with Thunderbird is complete but no documentation exists for Thunderbird in Kicksecure at time of writing.

Waiting if there will be high demand for this one which I doubt.

1 Like

Add:

  • Add Atril or Xpdf as local pdf reader.
  • Add Hexchat as IRC client
  • Add PGA as graphical PGP generator
  • Add hunspell-en-us as english dictionary
  • Add youtube-dl for downloading youtube and other websites videos
  • Add anon-connection-wizard to control Tor connection in graphical way
  • zulucrypt-gui for local encryption of folders and files (exist in kicksecure-metapackages but not installed by default)

Remove:

Done xpdf.

Waiting for more user requests.

Done for gpa.

Done.

Done.

That would be nice but anon-connection-wizard isn’t compatible with Kicksecure yet. Help welcome.

Meta package non-qubes-vm-enhancements-gui Depend: on it. So it’s installed by default in Kicksecure. But not in Kicksecure for Qubes. That’s on purpose. In Qubes, device encryption would be handled differently and no device would be attached directly to a Kicksecure based Qube? Seems a pretty specific use case. In which case, it would be up to the user to set that up

Waiting for more user requests.

Answered here: